Mac MySQL数据库问题集锦

1. 使用Mac下的sequel Pro数据库错误MySQL said: Authentication plugin 'caching_sha2_password’

解决方案两个:

如果系统偏好设置里面有MySQL的使用方案一:

  1. 打开系统偏好设置,找到mysql,点击Initialize Database。
    在这里插入图片描述

  2. 输入你的新密码,记住这个密码,用于后期链接数据库的登陆使用。

  3. 选择‘Use legacy password encryption‘。

  4. 重启mysql服务

如果系统和MySQL版本兼容性问题,未载入系统偏好设置采用方案二:

修改root用户的加密方式:

  1. 登录mysql
mysql -u root -p
  1. 通过执行以下命令查看对应用户的加密方式,也可以将user='root’改成比如user=‘test’,来查看用户test的加密方式。
use mysql;
select user,plugin from user where user='root';

在这里插入图片描述
在这里插入图片描述
3. 执行命令修改加密方式,如果报错下面有解决方案。

alter user 'root'@'localhost' identified with mysql_native_password by '你的密码';

在这里插入图片描述

  1. 使配置生效
flush privileges;

在这里插入图片描述

参考文章:
Mysql8.0.17修改root密码、加密方式,以及修改普通用户的加密方式。

2. 执行修改MySQL加密方式命令时候报错:ERROR 1819(HY000):Your password does not satisfy the current policy requirements.
在这里插入图片描述
解决方案:

  1. 查看 mysql 初始的密码策略
SHOW VARIABLES LIKE 'validate_password%';

在这里插入图片描述

  1. 需要设置密码的验证强度等级,设置 validate_password_policy 的全局参数为 LOW 即可.
    注意:mysql数据库5.7和8.0由于全局变量名字改了所以运行的命令不同,但是本质一样。 5.7是:set global validate_password_policy=0; 8.0是:set global validate_password.policy=0;如果用的命令不对会报错。
set global validate_password.policy=0;

在这里插入图片描述
在这里插入图片描述

  1. 然后可以继续进行加密方式的修改了。

参考文章:
ERROR 1819 (HY000): Your password does not satisfy the current policy requirements

发布了39 篇原创文章 · 获赞 0 · 访问量 1828
展开阅读全文

没有更多推荐了,返回首页

©️2019 CSDN 皮肤主题: 1024 设计师: 上身试试

分享到微信朋友圈

×

扫一扫,手机浏览